#!/usr/bin/perl
#

# Written by Peter Mendygral for Steven Warren Feb 4, 2009
# This code reads in BP3.OUT, replaces the value of the 
# first occurance of NAXIS2 with the sum of both of its
# occurances and then deletes the unneeded header information
# in the middle of the file.

my $file = 'BP3.OUT'; 

open TABLE, $file;

my @cont = <TABLE>;
close TABLE;

my @naxis = grep /NAXIS2/, @cont;

my @sp1 = split /\s+/, $naxis[0];
my @sp2 = split /\s+/, $naxis[1];

my $naxistot = $sp1[2] + $sp2[2];

my $newtxt;
my $addhead = 1;
open TABLE, ">${file}";
for my $line (@cont)
{
   if ($line =~ /NAXIS2/) { $line =~ s/ $sp1[2]/$naxistot/; }
   if ($line =~ /\*\*\*END\*PASS\*\*\*/) { $addhead = 0; next; }
   if ($addhead == 0 && $line =~ /\*\*\*BEGIN\*PASS\*\*\*/) { $addhead = 1; next;  }
   if ($addhead) { print TABLE $line; }
}

print TABLE "***END*PASS***\n";

close TABLE;
